Chuyển đến nội dung
Diễn đàn CADViet

binbin72088@gmail.com

Thành viên
  • Số lượng nội dung

    22
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-11 (kém)

About binbin72088@gmail.com

  • Cấp bậc
    biết vẽ line

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. binbin72088@gmail.com

    Xin hỏi: tạo script mở file và chạy command

    vâng vậy thì tốt quá rồi ạ. cái này đúng ý mình nè, còn vấn đề nếu máy A có load lisp còn máy B là một máy hoàn toàn lạ chưa load lisp liệu có xài được ko nhỉ? mình mong muốn là chỉ tạo ra 1 dòng command thôi và gửi cho máy khác nhập vào tới liền. (tức là chỉ cần máy A có load lisp tạo code thôi, còn máy B ko cần load lisp gì cả)
  2. binbin72088@gmail.com

    Xin hỏi: tạo script mở file và chạy command

    Cám ơn ý tưởng mới của các bạn, ý của mình thì đơn giản hơn là tự tạo ra một dòng lệnh lưu vào clipboard, sau đó chỉ việc send lệnh đó cho máy khác dán vào command line là sẽ tự mở đúng file và đến ngay view đó. Chứ ko muốn tạo lisp vì load lisp lại sẽ mất thêm công đoạn và phải mất công tìm tới thư mục chứa lisp nữa ,lệnh này dùng 1 lần thôi cũng ko dùng lại.
  3. binbin72088@gmail.com

    Xin hỏi: tạo script mở file và chạy command

    thanks bạn nhưng Cũng ko được, nó bị ngừng ở đoạn mở file rồi. cũng ko hẳn là phải load script đâu vì mình đâu có lưu ra file scr, chỉ cần tìm cách mở file và nó tự động nhập tiếp lệnh zoom vào thanh command là đc, mà hiện giờ chưa biết cách làm sao nữa.Ai có sáng kiến gì ko nhỉ.
  4. binbin72088@gmail.com

    Yêu cầu:Xin trợ giúp bổ sung lisp lấy view từ máy này sang máy khác

    Thanks bạn,Mở file thì oki rồi, còn sau khi mở file rồi đến lúc chuyển qua gõ lệnh zoom vào command thì ko được, tức là phải paste zoom thủ công ấy, mình đang tìm cách để tạo 1 dòng lệnh để paste vào là tự mở file và tự zoom luôn ấy.
  5. binbin72088@gmail.com

    Xin hỏi: tạo script mở file và chạy command

    Mình đang tập tạo script chạy bằng dòng lệnh command, mong muốn là tạo ra một cái script hoàn chỉnh để chỉ cần paste vào command thôi thì sẽ tự mở ra C:\BANVE.DWG, và zoom đến tọa độ (COMMAND "zoom" "c" (LIST -180228.0 -57120.9 0.0) 287185.0) . Nhưng hiện tại thì script mình chỉ dừng lại ở mở file và không chạy tiếp được lệnh zoom, cao nhân cho hỏi script bị lỗi ở đâu và chỉnh ra sao nhỉ? FILEDIA 0 OPEN "C:\BANVE.DWG" (COMMAND "zoom" "c" (LIST -180228.0 -57120.9 0.0) 287185.0)
  6. E có viết cái lisp lấy view từ máy này qua máy khác mà còn một bước nữa xin ý kiến của các cao nhân, lisp có công dụng bấm lisp thì nó sẽ tạo ra một dòng Code của View hiện tại trên màn hình tự động lưu vào clipboard, sau đó em gửi cái code đó cho bạn em, họ dán vào command thì tự động đến được view đó là ok rồi, với điều kiện hai máy đang mở cùng 1 file. Tuy nhiên nếu máy bạn em không mở file đó thì e ko biết các làm sao để lisp tự động mở file đó và đến view đó luôn (tức là còn bước mở file nữa, file chung lưu trên ổ mạng ví dụ tên D:\FILECHUNG.DWG), mong được mọi người bổ sung dùm. (defun c:covi (/ p x y ptcoord ) (setq p (getpoint "Pick Point: ")) (setq x (rtos (car p))) (setq y (rtos (cadr p))) (setq z (rtos (caddr p))) (setq ptcoord (strcat x ", " y ", " z)) (vlax-invoke (vlax-get (vlax-get (vlax-create-object "htmlfile") 'ParentWindow) 'ClipBoardData) 'setData "TEXT" (strcat "_zoom c "x","y" 3000 .") ) )
  7. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    chủ topic từng sử dụng rhino nên biết đây là công cụ rất mạnh có tên setpt, nhưng hoài mà ko thấy cad có lệnh tương tự như vậy, nên hỏi để biết và cũng góp phần làm phong phú lệnh cho cad, nói hỏi để giải trí thì hơi lố đấy. vấn đề bắt điểm là một đề tài muôn thuở, vẽ đường grid thẳng sẽ có người bắt điểm cuối lệch 0.1 0.3.., nên để chắc chắn line nằm trên một đường thẳng thì lệnh này sẽ rất hữu dụng đấy.
  8. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    anh @thiep ơi code của topic này gần ok rồi, anh @thiep có cách nào vừa tự động mở chính file đó vừa view tới view cần thiết không? xin anh trợ giúp.
  9. Xin chào bạn, lisp copy view qua máy khác của bạn rất tuyệt, nhưng trong trường hợp máy khác đang không mở cùng file với máy chính nhưng vẫn cùng hệ thống mạng, có cách nào để dòng lệnh này tự mở file đó và view tới view đó luôn ko?

  10. binbin72088@gmail.com

    Hỏi cách thay đổi plotstyle hàng loạt file

    Huhu sao ko ai trả lời thế này huhu
  11. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    Bây giờ mình lại nảy sinh ra ý tưởng mới nữa là máy A tạo lệnh trên DRAWING1.dwg , nhưng máy B đang không bật file của máy A. Có cách nào để khi nhập lệnh bên máy B thì file DRAWING1.dwg tự mở trên máy B và dẫn đến view của máy A ko (mở readonly cũng được). ( chính là update của lệnh các bạn đã thảo luận ở trên nhưng thêm một bước mở file nữa)
  12. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    thanks bạn @snowman.hms và bạn @ngokiet , cả hai lisp đều rất tuyệt và đúng ý rất hay, mình cũng thử làm lisp bằng lệnh zoom center nhưng ko vào trực tiếp đúng scale view như mấy bạn được, mình bổ sung thêm là lệnh sau khi tạo ra sẽ được copy trực tiếp vào clipboard bớt đi một công đoạn copy. : lệnh covi (là copy view chứ ko phải corona nha) (defun c:covi (/ p x y ptcoord ) ;by binbin72088@gmail.com (setq p (getpoint "Pick Point: ")) (setq x (rtos (car p))) (setq y (rtos (cadr p))) (setq z (rtos (caddr p))) (setq ptcoord (strcat x ", " y ", " z)) (vlax-invoke (vlax-get (vlax-get (vlax-create-object "htmlfile") 'ParentWindow) 'ClipBoardData) 'setData "TEXT" (strcat "_zoom c "x","y" 3000 .") ) )
  13. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Quá tuyệt vời, ko những theo phương x, phương y, mà còn cả phương chéo, vượt mong đợi, thanks a Thiệp.
  14. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Xin cám ơn đóng góp của mọi người, biết lisp làm được nhiều thứ hay vầy em cũng tập tành làm từ sớm rùi, hôm bữa mới đọc cuốn nhập môn lisp mà thích wa. ko biết khi nào mới viết lisp đc như mọi người. người nào viết lisp nhìn cũng pro lắm luôn.
  15. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Cảm ơn anh @cuongtk2 nhiều lắm, lisp đúng ý lun, lần đầu tiên e xài lisp bằng vba luôn. Đồng thời cũng cảm ơn anh @thiep vì rất hào hiệp. E cũng muốn biết bản chất cách làm như nào để tự làm cho trục oy nữa, mấy anh cho em biết nguyên lý được ko? Ban đầu e nghĩ là dùng SSget rồi chọn các vertex, rồi dùng hàm for cho từng điểm, sau đó move lần lượt các điểm về 0, e biết sơ sơ ko biết vậy có đúng ko?
×